Bug 95918 - Document with a single image isn't displayed
Summary: Document with a single image isn't displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:docx
Depends on:
Blocks: OOXML-Chart DOCX-Images
  Show dependency treegraph
 
Reported: 2015-11-18 21:22 UTC by Matthew Holloway
Modified: 2021-06-30 10:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Embedded image isn't displayed in LibreOffice (371.51 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-11-18 21:22 UTC, Matthew Holloway
Details
How LibreOffice renders the document (57.87 KB, image/png)
2015-11-18 21:27 UTC, Matthew Holloway
Details
How Microsoft Office 2013 renders the document (136.07 KB, image/png)
2015-11-18 21:28 UTC, Matthew Holloway
Details
MS Office "save as" to ODF text document (244.11 KB, application/vnd.oasis.opendocument.text)
2015-11-19 00:38 UTC, V Stuart Foote
Details
PNG image extracted from the ODF archive (224.58 KB, image/png)
2015-11-19 00:42 UTC, V Stuart Foote
Details
The chart in Word (273.25 KB, image/png)
2020-09-07 13:16 UTC, NISZ LibreOffice Team
Details
The example file in Word and current Writer (592.92 KB, image/png)
2020-12-16 14:46 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Holloway 2015-11-18 21:22:44 UTC
Created attachment 120636 [details]
Embedded image isn't displayed in LibreOffice

In the attached document there is a single embedded image (a .PNG) that is visible in Microsoft Office 2013 but isn't visible in any version of LibreOffice.

I've tested this in LibreOffice 3.3, 4.0, 4.3, and 5.1alpha.
Comment 1 Matthew Holloway 2015-11-18 21:27:25 UTC
Created attachment 120637 [details]
How LibreOffice renders the document
Comment 2 Matthew Holloway 2015-11-18 21:28:35 UTC
Created attachment 120638 [details]
How Microsoft Office 2013 renders the document
Comment 3 V Stuart Foote 2015-11-19 00:38:31 UTC
Created attachment 120641 [details]
MS Office "save as" to ODF text document

Actually, when "save as" from Word 2013's OOXML to ODF it is fine. The PNG image and the document renders without issue.

Document "save as" converted to ODF .ODT by Word 2013 attached.
Comment 4 V Stuart Foote 2015-11-19 00:42:39 UTC
Created attachment 120642 [details]
PNG image extracted from the ODF archive

Always worth at least trying to work with the ODF formatted document.  Some times trying to make OOXML work just is not worth the effort.
Comment 5 Robinson Tryon (qubit) 2015-12-13 12:18:26 UTC Comment hidden (obsolete)
Comment 6 Telesto 2016-12-08 14:59:01 UTC
Repro with:
Version: 5.4.0.0.alpha0+
Build ID: 2bad9f1cd8da0cd3d8ff33e875eaf10c1fd9d0bf
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-11-29_01:04:44
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 7 QA Administrators 2017-12-09 11:08:29 UTC Comment hidden (obsolete)
Comment 8 NISZ LibreOffice Team 2020-09-07 13:16:11 UTC
Created attachment 165232 [details]
The chart in Word

This document actually contains a chart object with no chart elements and only an image inserted onto it. 
Not even as chart background fill - which could work - but as an image inserted into the chart.

There is currently no feature to do this in LO charts so the image still does not appear in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 34a09c9c61bff30e8c4d16132bb47b2b1b16e422
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 9 NISZ LibreOffice Team 2020-12-16 14:46:15 UTC
Created attachment 168230 [details]
The example file in Word and current Writer

Apparently this got fixed with:

https://git.libreoffice.org/core/+/f1a5bb0b79c212a0459b1a17dd15f1159e663dbd

author
Balazs Varga <balazs.varga991@gmail.com> Thu Nov 26 17:44:24 2020 +0100 
committer
Balazs Varga <varga.balazs3@nisz.hu> Mon Nov 30 10:23:29 2020 +0100 

tdf#138561 OOXML Chart import: fix custom shape position

Now images placed inside charts open correctly. Also they can be saved to ODT format.

Save to DOCX still does not work, neither is there an "Insert Image" command in the chart editing menu (nor can it be added via Customize - this might worth a feature request).
Comment 10 NISZ LibreOffice Team 2020-12-16 14:47:24 UTC
Thanks Balazs for fixing this one too :)
Comment 11 NISZ LibreOffice Team 2021-01-11 13:44:38 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded